<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:poll="http://typo3.org/ns/CodingMs/Poll/ViewHelpers">
	<f:section name="Default">
		<!-- poll: Partials/Question/Multiple.html Default [begin] -->

		<poll:variable.set name="pollQuestionCssClasses" value="{question.additionalCssClass}" />
		<f:if condition="{questionIteration.isOdd}">
			<f:then>
				<poll:variable.set name="pollQuestionCssClasses" value="{pollQuestionCssClasses} odd" />
			</f:then>
			<f:else>
				<poll:variable.set name="pollQuestionCssClasses" value="{pollQuestionCssClasses} even" />
			</f:else>
		</f:if>
		<f:if condition="{poll:variable.get(name: 'messages.{question.uid}', useRawKeys: 1)}">
			<poll:variable.set name="pollQuestionCssClasses" value="{pollQuestionCssClasses} has-danger" />
		</f:if>

		<div class="poll-question multiple layout-default {pollQuestionCssClasses}" id="poll-question-{question.uid}">

			<f:render partial="Poll/Question/ShowHrBefore" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/Headline" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question/ErrorMessages" section="Default" arguments="{_all}" />
			<f:render partial="Poll/Question" section="Default" arguments="{_all}" />

			<!-- Answers -->
			<div class="poll-question-answers">
				<f:for each="{question.questionAnswer}" as="answer" iteration="questionAnswerIteration">

					<f:if condition="{questionAnswerIteration.isOdd}">
						<f:then>
							<poll:variable.set name="pollAnswerCssClasses" value="odd" />
						</f:then>
						<f:else>
							<poll:variable.set name="pollAnswerCssClasses" value="even" />
						</f:else>
					</f:if>

					<div class="poll-answer {pollAnswerCssClasses}" id="poll-answer-{answer.uid}">

						<f:if condition="{answer.image.uid}">
							<div class="poll-answer-image">
								<f:image src="{answer.image.uid}" maxWidth="200" alt="{answer.image.description}"
										 title="{answer.image.title}" treatIdAsReference="1" />
							</div>
						</f:if>

						<label class="poll-radio">
							<f:form.checkbox name="answers[question_{question.uid}_{answer.uid}]"
											 id="question_answer_{question.uid}_{answer.uid}"
											 checked="{answer.uid} == {poll:variable.get(name: 'answers.question_{question.uid}_{answer.uid}')}"
											 value="{answer.uid}" />
							<span class="poll-radio-label">{answer.answer}</span>
						</label>

						<!-- Description of the answer -->
						<f:if condition="{answer.description}">
							<div class="poll-answer-description">
								<f:format.raw>{answer.description}</f:format.raw>
							</div>
						</f:if>

					</div>
				</f:for>
			</div>

		</div>

		<!-- poll: Partials/Question/Multiple.html Default [end] -->
	</f:section>
</div>
